Loading...
Searching...
No Matches
term Class Reference

`#include <int_poly.h>`

## Public Member Functions

| term ()
| term (term *n, const CanonicalForm &c, int e)
void * | operator new (size_t)
void | operator delete (void *addr, size_t)

## Private Attributes

term * | next
CanonicalForm | coeff
int | exp

## Static Private Attributes

static const omBin | term_bin = omGetSpecBin(sizeof(term))

## Friends

class | InternalPoly
class | CFIterator

## Detailed Description

Definition at line 33 of file int_poly.h.

## Constructor & Destructor Documentation

## term() [1/2]

term::term | ( |  | ) |

inline

Definition at line 42 of file int_poly.h.

: next(0), coeff(0), exp(0) {}
term::next
term * next
Definition int_poly.h:35
term::coeff
CanonicalForm coeff
Definition int_poly.h:36
term::exp
int exp
Definition int_poly.h:37

## term() [2/2]

term::term | ( | term * | n,
|  | const CanonicalForm & | c,
|  | int | e )

inline

Definition at line 43 of file int_poly.h.

: next(n), coeff(c), exp(e) {}

## Member Function Documentation

## operator delete()

void term::operator delete | ( | void * | addr,
|  | size_t | )

inline

Definition at line 53 of file int_poly.h.

{
omFreeBin(addr, term_bin);
}
term::term_bin
static const omBin term_bin
Definition int_poly.h:39
omFreeBin
#define omFreeBin(addr, bin)
Definition omAllocDecl.h:259

## operator new()

void * term::operator new | ( | size_t |  | ) |

inline

Definition at line 47 of file int_poly.h.

{
void* addr;
omTypeAllocBin(void*, addr, term_bin);
return addr;
}
omTypeAllocBin
#define omTypeAllocBin(type, addr, bin)
Definition omAllocDecl.h:203

## Friends And Related Symbol Documentation

## CFIterator

friend class CFIterator

friend

Definition at line 45 of file int_poly.h.

## InternalPoly

friend class InternalPoly

friend

Definition at line 44 of file int_poly.h.

## Field Documentation

## coeff

CanonicalForm term::coeff

private

Definition at line 36 of file int_poly.h.

## exp

int term::exp

private

Definition at line 37 of file int_poly.h.

## next

term* term::next

private

Definition at line 35 of file int_poly.h.

## term_bin

const omBin term::term_bin = omGetSpecBin(sizeof(term))

static private

Definition at line 39 of file int_poly.h.

The documentation for this class was generated from the following files:

- factory/int_poly.h
- factory/int_poly.cc